KSPedia alone accounts for half of load time
12/10/2016 04:37 PM - Hexicube

Status: Resolved

Severity: Low

Assignee:

Category: KSPedia

Target version: 1.9.0

Version: 1.2.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

I've started noticing a large delay in loading when the bar is about half full, when it's loading "Asset Bundles". These bundles are
actually .ksp files, most of which are in the GameData/Squad/KSPedia folder.

Steps to reproduce:

1. Launch KSP

2. Observe load time, and delay at halfway point

3. Close the game

4. Move GameData/Squad/KSPedia folder somewhere outside of GameData
5. Launch KSP again

6. Delay at halfway point is now gone

For me, loading KSPedia files accounts for about 6 seconds of load time. This obviously varies from person to person, but my
machine is decent (i5 @ 3.4GHz, SSD) and thus it'll be far worse for players on weaker machines or even laptops.

History

#1 - 01/25/2017 11:24 PM - gfrodo
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| can reproduce this delay.
Without the KSPedia folder, KSP starts in approx 60s.
With the KSPedia folder, KSP starts in 90s, with a delay of 30s in the middle, while the text "Loading Asset Bundle Definitions" is displayed.

My setup:

Platform: Linux Mint

CPU: i5-6200U, 15W Dualcore 2.3GHz with HT
Storage: SSD

A little performance optimization for the loading screen would be nice, but should not be the highest priority to the developers.

#3 - 02/17/2020 11:54 AM - TriggerAu
- Status changed from Confirmed to Ready to Test

- Target version set to 1.9.0

#4 - 03/20/2020 09:50 PM - RafaHdz
- Status changed from Ready to Test to Resolved

- Expansion Core Game added

Game load time with and without the KSPedia folder seems to be exactly the same. Loading time in general has improved (decreased). Build 2803.
